Document (kxml API)
Keywords: org.kxml2.kdom.Document class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kxml2.kdom
Class Document

    java.lang.Object
      org.kxml2.kdom.Node
          org.kxml2.kdom.Document

    public class Document

extends Node

The document consists of some legacy events and a single root element. This class basically adds some consistency checks to Node.

Field Summary

Fields inherited from class org.kxml2.kdom.Node
`CDSECT, COMMENT, DOCDECL, DOCUMENT, ELEMENT, ENTITY_REF, IGNORABLE_WHITESPACE, PROCESSING_INSTRUCTION, TEXT`

Constructor Summary
`Document()`

Method Summary
`void` | `addChild(int index, int type, java.lang.Object child)` Adds a child at the given index position.
`java.lang.String` | `getEncoding()` returns "#document"
`java.lang.String` | `getName()`
`Element` | `getRootElement()` returns the root element of this document.
`java.lang.Boolean` | `getStandalone()`
`void` | `parse(org.xmlpull.v1.XmlPullParser parser)` reads the document and checks if the last event is END_DOCUMENT.
`void` | `removeChild(int index)` Removes the child object at the given index
`void` | `setEncoding(java.lang.String enc)`
`void` | `setStandalone(java.lang.Boolean standalone)`
`void` | `write(org.xmlpull.v1.XmlSerializer writer)` Writes this node to the given XmlWriter.

Methods inherited from class org.kxml2.kdom.Node
`addChild, createElement, getChild, getChildCount, getElement, getElement, getText, getType, indexOf, isText, writeChildren`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Document

    public Document()

Method Detail

### getEncoding

    public java.lang.String getEncoding()

  returns "#document"

### setEncoding

    public void setEncoding(java.lang.String enc)

### setStandalone

    public void setStandalone(java.lang.Boolean standalone)

### getStandalone

    public java.lang.Boolean getStandalone()

### getName

    public java.lang.String getName()

### addChild

    public void addChild(int index,
                         int type,
                         java.lang.Object child)

  Adds a child at the given index position. Throws an exception when a second root element is added

  Overrides:
    `addChild` in class `Node`

### parse

    public void parse(org.xmlpull.v1.XmlPullParser parser)
               throws java.io.IOException,
                      org.xmlpull.v1.XmlPullParserException

  reads the document and checks if the last event is END_DOCUMENT. If not, an exception is thrown. The end event is consumed. For parsing partial XML structures, consider using Node.parse ().

  Overrides:
    `parse` in class `Node`
  Throws:
    `java.io.IOException`
    `org.xmlpull.v1.XmlPullParserException`

### removeChild

    public void removeChild(int index)

  Description copied from class: `Node`
  Removes the child object at the given index

  Overrides:
    `removeChild` in class `Node`

### getRootElement

    public Element getRootElement()

  returns the root element of this document.

### write

    public void write(org.xmlpull.v1.XmlSerializer writer)
               throws java.io.IOException

  Writes this node to the given XmlWriter. For node and document, this method is identical to writeChildren, except that the stream is flushed automatically.

  Overrides:
    `write` in class `Node`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD